Bug 574053 - Review Request: hyphen-tk - Turkmen hyphenation rules
Summary: Review Request: hyphen-tk - Turkmen hyphenation rules
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-16 13:47 UTC by Caolan McNamara
Modified: 2010-04-03 19:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-03 19:38:47 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2010-03-16 13:47:39 UTC
Spec URL: http://people.redhat.com/caolanm/rpms/hyphen-tk.spec
SRPM URL: http://people.redhat.com/caolanm/rpms/hyphen-tk-0.20100315-1.fc13.src.rpm
Description: Turkmen hyphenation rules

Comment 1 Parag AN(पराग) 2010-03-22 03:54:00 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2067170
+ rpmlint is silent for SRPM and for RPM.
- source files does NOT match upstream url (sha1sum)
d2d16ca6b9eb3e1361ecae342905774d0c156225  hyph-tk.tex
3fbe103d7d3dbed90b84a31014cf19eb7ea42978  ../SOURCES/hyph-tk.tex
But I am sure this should not be problem as upstream moved further and changed source since SRPM submitted.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
 Please include current svn source.

APPROVED.

Comment 2 Caolan McNamara 2010-04-01 11:14:03 UTC
New Package CVS Request
=======================
Package Name: hyphen-tk
Short Description: Turkmen hyphenation rules
Owners: caolanm
Branches: devel
InitialCC:

Comment 3 Kevin Fenzi 2010-04-03 17:38:50 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.